Skip to main content
GET
/
orders
cURL
curl https://api.goshippo.com/orders/ \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "placed_at": "2016-09-23T01:28:12Z",
      "to_address": {
        "country": "US",
        "name": "Shwan Ippotle",
        "company": "Shippo",
        "street1": "215 Clayton St.",
        "street2": "<string>",
        "street3": "",
        "street_no": "",
        "city": "San Francisco",
        "state": "CA",
        "zip": "94117",
        "phone": "+1 555 341 9393",
        "email": "shippotle@shippo.com",
        "is_residential": true,
        "metadata": "Customer ID 123456",
        "is_complete": true,
        "latitude": 123,
        "longitude": 123,
        "object_created": "2014-07-09T02:19:13.174Z",
        "object_id": "d799c2679e644279b59fe661ac8fa488",
        "object_owner": "shippotle@shippo.com",
        "object_updated": "2014-07-09T02:19:13.174Z",
        "validation_results": {
          "is_valid": false,
          "messages": [
            {
              "code": "Unknown Street",
              "source": "Shippo Address Validator",
              "text": "City, State and ZIP Code are valid, but street address is not a match.",
              "type": "address_warning"
            }
          ]
        },
        "test": false
      },
      "currency": "USD",
      "notes": "This customer is a VIP",
      "order_number": "#1068",
      "order_status": "PAID",
      "shipping_cost": "12.83",
      "shipping_cost_currency": "USD",
      "shipping_method": "USPS First Class Package",
      "subtotal_price": "12.1",
      "total_price": "24.93",
      "total_tax": "0.0",
      "weight": "0.4",
      "weight_unit": "lb",
      "from_address": {
        "country": "US",
        "name": "Shwan Ippotle",
        "company": "Shippo",
        "street1": "215 Clayton St.",
        "street2": "<string>",
        "street3": "",
        "street_no": "",
        "city": "San Francisco",
        "state": "CA",
        "zip": "94117",
        "phone": "+1 555 341 9393",
        "email": "shippotle@shippo.com",
        "is_residential": true,
        "metadata": "Customer ID 123456",
        "is_complete": true,
        "latitude": 123,
        "longitude": 123,
        "object_created": "2014-07-09T02:19:13.174Z",
        "object_id": "d799c2679e644279b59fe661ac8fa488",
        "object_owner": "shippotle@shippo.com",
        "object_updated": "2014-07-09T02:19:13.174Z",
        "validation_results": {
          "is_valid": false,
          "messages": [
            {
              "code": "Unknown Street",
              "source": "Shippo Address Validator",
              "text": "City, State and ZIP Code are valid, but street address is not a match.",
              "type": "address_warning"
            }
          ]
        },
        "test": false
      },
      "line_items": [
        {
          "currency": "USD",
          "manufacture_country": "US",
          "max_delivery_time": "2016-07-23T00:00:00Z",
          "max_ship_time": "2016-07-23T00:00:00Z",
          "quantity": 20,
          "sku": "HM-123",
          "title": "Hippo Magazines",
          "total_price": "12.1",
          "variant_title": "June Edition",
          "weight": "0.4",
          "weight_unit": "lb",
          "object_id": "abf7d5675d744b6ea9fdb6f796b28f28"
        }
      ],
      "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
      "object_owner": "shippotle@shippo.com",
      "shop_app": "Shippo",
      "transactions": [
        {}
      ]
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:25

The number of results to return per page (max 100)

Required range: x <= 100
order_status[]
enum<string>[]

Filter orders by order status

Current state of the order. See the orders tutorial for the logic of how the status is handled.

Available options:
UNKNOWN,
AWAITPAY,
PAID,
REFUNDED,
CANCELLED,
PARTIALLY_FULFILLED,
SHIPPED
shop_app
enum<string>

Filter orders by shop app Platform the order was created on and, if applicable, imported from. Orders created via the Shippo API or dashboard will have the value "Shippo".

Available options:
Amazon,
Bigcommerce,
CSV_Import,
eBay,
ePages,
Etsy,
Godaddy,
Magento,
Shippo,
Shopify,
Spreecommerce,
StripeRelay,
Walmart,
Weebly,
WooCommerce
Example:

"Shippo"

start_date
string

Filter orders created after the input date and time (ISO 8601 UTC format). This is based on the placed_at field, meaning when the order has been placed, not when the order object was created.

end_date
string

Filter orders created before the input date and time (ISO 8601 UTC format). This is based on the placed_at field, meaning when the order has been placed, not when the order object was created.

Response

Paginated list of orders

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
object[]